package main

type parseCmd struct {
	File string `arg:"" help:"The file to be parsed."`
	Key  string `default:"" help:"The key to look for in the file."`
}

type statusesCmd struct {
	URL string `arg:"" help:"The URL to fetch the statuses from."`
}

var cli struct {
	Debug bool `help:"Enables debug mode."`

	Parse    parseCmd    `cmd:"" help:"Parses a file looking for a frontmatter key."`
	Statuses statusesCmd `cmd:"" help:"Gets statuses for a given URL."`
}
